json
{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"
}curl -X POST https://api.telegent.com/v1.0/numbers/portin/cancel \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/portin/cancel"
payload = { "OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({OrderId: 'JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4'})
};
fetch('https://api.telegent.com/v1.0/numbers/portin/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
"Status": "Cancelled"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Numbers
Numbers - Cancel Port In
Cancel an existing port-in request using the order ID. This endpoint allows you to cancel a pending port-in order before it is completed.
What this does: Returns the OrderId and a Cancelled status confirmation. Only pending port-in orders can be cancelled — orders in final states cannot be reversed.
Next steps:
- Submit a new port-in request —
POST /v1.0/numbers/portin
POST
/
v1.0
/
numbers
/
portin
/
cancel
json
{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"
}curl -X POST https://api.telegent.com/v1.0/numbers/portin/cancel \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/portin/cancel"
payload = { "OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({OrderId: 'JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4'})
};
fetch('https://api.telegent.com/v1.0/numbers/portin/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
"Status": "Cancelled"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The order ID of the port-in request to cancel
Example:
"JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"
Response
Numbers - Cancel Port In
The response is of type object.
⌘I